package org.processmining.activityclusterarraycreator.connections;

import org.deckfour.xes.model.XLog;
import org.processmining.activityclusterarray.models.ActivityClusterArray;
import org.processmining.activityclusterarraycreator.parameters.DiscoverClustersFromEventLogParameters;
import org.processmining.framework.connections.impl.AbstractConnection;

public class DiscoverClustersFromEventLogConnection extends AbstractConnection {

	public final static String LOG = "Log";
	public final static String CLUSTERS = "Clusters";

	private DiscoverClustersFromEventLogParameters parameters;

	public DiscoverClustersFromEventLogConnection(XLog log,
			ActivityClusterArray clusters, DiscoverClustersFromEventLogParameters parameters) {
		super("Discover Clusters from Event Log Connection");
		put(LOG, log);
		put(CLUSTERS, clusters);
		this.parameters = new DiscoverClustersFromEventLogParameters(parameters);
	}

	public DiscoverClustersFromEventLogParameters getParameters() {
		return parameters;
	}
}
