package org.processmining.activityclusterarraycreator.modifiers.impl;

import java.util.HashSet;
import java.util.Set;

import org.deckfour.xes.classification.XEventClass;

public class ActivityClusterArrayOverlapScoringModifier extends ActivityClusterArrayAbstractScoringModifier {

	public final static String NAME = "Incremental using Best Score (only Overlapping Clusters)";

	public boolean preMergeCheck(Set<XEventClass> firstCluster, Set<XEventClass> secondCluster) {
		Set<XEventClass> isect = new HashSet<XEventClass>(firstCluster);
		isect.retainAll(secondCluster);
		return !isect.isEmpty();
	}
	
	public String getName() {
		return "Incremental using Best Score (only Overlapping Clusters)";
	}

}
