package org.processmining.activityclusterarraycreator.algorithms;

import org.processmining.activityclusterarray.models.ActivityClusterArray;
import org.processmining.activityclusterarraycreator.modifiers.ActivityClusterArrayModifierManager;
import org.processmining.activityclusterarraycreator.parameters.ModifyActivityClusterArrayParameters;
import org.processmining.causalactivitygraph.models.CausalActivityGraph;
import org.processmining.framework.plugin.PluginContext;

public class ModifyActivityClusterArrayAlgorithm {

	public ActivityClusterArray apply(PluginContext context, ActivityClusterArray clusters, CausalActivityGraph graph, ModifyActivityClusterArrayParameters parameters) {
		return ActivityClusterArrayModifierManager.getInstance().getModifier(parameters.getModifier()).apply(context, clusters, graph, parameters);
	}
}
